summaryrefslogtreecommitdiffstats
path: root/ci/launch_docker_container.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/launch_docker_container.sh')
-rwxr-xr-xci/launch_docker_container.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/ci/launch_docker_container.sh b/ci/launch_docker_container.sh
index aac5b58..949bf9d 100755
--- a/ci/launch_docker_container.sh
+++ b/ci/launch_docker_container.sh
@@ -22,12 +22,27 @@ then
sudo chown 33:33 ${ci}/job/carbon
fi
+if [ -z $ARCH ]
+then
+ ARCH=x86_64
+fi
+
+export ARCH
+
docker-compose -f local-docker-compose.yaml build
docker-compose -f local-docker-compose.yaml up -d
echo "Waiting for StorPerf to become active"
+ATTEMPTS=20
+
while [ $(curl -s -o /dev/null -I -w "%{http_code}" -X GET http://127.0.0.1:5000/api/v1.0/configurations) != "200" ]
do
+ ATTEMPTS=$((ATTEMPTS - 1))
+ if [ ${ATTEMPTS} -le 1 ]
+ then
+ echo "Failed to get a start up of StorPerf Master"
+ exit 1
+ fi
sleep 1
done